# class KHTMLPartBrowserExtension | This is the BrowserExtension for a KHTMLPart document. More...
Definition | `#include <khtml_ext.h>`
Inherits | KParts::BrowserExtension (kparts) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KHTMLPartBrowserExtension ( KHTMLPart *parent, const char *name = 0L )
- virtual int xOffset ()
- virtual int yOffset ()
- virtual void saveState ( QDataStream &stream )
- virtual void restoreState ( QDataStream &stream )
- void editableWidgetFocused ( QWidget *widget )
- void editableWidgetBlurred ( QWidget *widget )
- void setExtensionProxy ( KParts::BrowserExtension *proxyExtension )

#### Public Slots

- void cut ()
- void copy ()
- void paste ()
- void reparseConfiguration ()
- void print ()
- void updateEditActions ()

## Detailed Description

This is the BrowserExtension for a KHTMLPart document. Please see the KParts documentation for more information about the BrowserExtension.

KHTMLPartBrowserExtension ( KHTMLPart *parent, const char *name = 0L ) | ### KHTMLPartBrowserExtension

int xOffset () | ### xOffset

[virtual]

Reimplemented from BrowserExtension.

int yOffset () | ### yOffset

[virtual]

Reimplemented from BrowserExtension.

void saveState ( QDataStream &stream ) | ### saveState

[virtual]

Reimplemented from BrowserExtension.

void restoreState ( QDataStream &stream ) | ### restoreState

[virtual]

Reimplemented from BrowserExtension.

void editableWidgetFocused ( QWidget *widget ) | ### editableWidgetFocused

void editableWidgetBlurred ( QWidget *widget ) | ### editableWidgetBlurred

void setExtensionProxy ( KParts::BrowserExtension *proxyExtension ) | ### setExtensionProxy

void cut () | ### cut

[slot]

void copy () | ### copy

[slot]

void paste () | ### paste

[slot]

void reparseConfiguration () | ### reparseConfiguration

[slot]

void print () | ### print

[slot]

void updateEditActions () | ### updateEditActions

[slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:44:28 2001, using kdoc 2.0a53.